ReservationDeleteRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: ReservationDeleteRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class ReservationDeleteRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.ReservationDeleteRequest

@Public @Unstable public abstract class ReservationDeleteRequest extends Object
`ReservationDeleteRequest` captures the set of requirements the user has to delete an existing reservation.

See Also:
  - `ReservationDefinition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationDeleteRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ReservationId`
  `getReservationId()`
  Get the `ReservationId`, that corresponds to a valid resource allocation in the scheduler (between start and end time of this reservation)
  `static ReservationDeleteRequest`
  `newInstance(ReservationId reservationId)`
  `abstract void`
  `setReservationId(ReservationId reservationId)`
  Set the `ReservationId`, that correspond to a valid resource allocation in the scheduler (between start and end time of this reservation)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservationDeleteRequest

    public ReservationDeleteRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static ReservationDeleteRequest newInstance(ReservationId reservationId)

  - ### getReservationId

    @Public @Unstable public abstract ReservationId getReservationId()
    Get the `ReservationId`, that corresponds to a valid resource allocation in the scheduler (between start and end time of this reservation)
    Returns:
      the `ReservationId` representing the unique id of the corresponding reserved resource allocation in the scheduler

  - ### setReservationId

    @Public @Unstable public abstract void setReservationId(ReservationId reservationId)
    Set the `ReservationId`, that correspond to a valid resource allocation in the scheduler (between start and end time of this reservation)
    Parameters:
      `reservationId` - the `ReservationId` representing the the unique id of the corresponding reserved resource allocation in the scheduler